package esercizio1;

public class Corso {
	
		private String nomeCorso;
		private Studente [] studentiCorso;
		
		//costruttore di default
		public Corso(){
			nomeCorso = "";
			studentiCorso = null;
		}
		
		// costruttore completo
		public Corso(String nome, Studente[] studenti) {
			this.nomeCorso = nome;
			this.studentiCorso = studenti;
		}

		public String getNomeCorso() 	{
			return nomeCorso;
		}	
		
		public void setNomeCorso(String nomeCorso)	{
			this.nomeCorso = nomeCorso;
		}
		
		public Studente[] getStudentiCorso() {
			return studentiCorso;
		}
		
		public void setStudentiCorso(Studente[] studentiCorso) {
			this.studentiCorso = studentiCorso;
		}
		
		public int getVoto(String matricola)	{
			int voto = -1;
			boolean trovato = false;
			for (int i = 0; i < studentiCorso.length && !trovato; i++)
			{
				if (studentiCorso[i].getMatricola().equalsIgnoreCase(matricola)) {
					voto = studentiCorso[i].getVotoEsame();
					trovato = true;
				}
			}		
			return voto;
		}
    
	}


