package esercizio2;

import java.util.Scanner;

public class Esercizio2Main {

	public static void main(String[] args) {
		Spettacolo s1 = new Spettacolo();
		s1.setFilm("Film1");
		s1.setOrario("18.30");
		s1.setCostoBiglietto(8);
		s1.setPostiOccupati(100);
		Spettacolo s2 = new Spettacolo();
		s2.setFilm("Film2");
		s2.setOrario("21.00");
		s2.setCostoBiglietto(8);
		s2.setPostiOccupati(10);
		Spettacolo s3 = new Spettacolo();
		s3.setFilm("Film3");
		s3.setOrario("18.30");
		s3.setCostoBiglietto(10);
		s3.setPostiOccupati(0);
		Spettacolo s4 = new Spettacolo();
		s4.setFilm("Film4");
		s4.setOrario("18.30");
		s4.setCostoBiglietto(8);
		s4.setPostiOccupati(200);
		Spettacolo s5 = new Spettacolo();
		s5.setFilm("Film3");
		s5.setOrario("20.30");
		s5.setCostoBiglietto(8);
		s5.setPostiOccupati(80);
		Spettacolo s6 = new Spettacolo();
		s6.setFilm("Film6");
		s6.setOrario("21.00");
		s6.setCostoBiglietto(8);
		s6.setPostiOccupati(3);
		
		Spettacolo[] spettacoli = new Spettacolo[Multisala.MAX_SPETTACOLI];
		spettacoli[0]=s1;
		spettacoli[1]=s2;
		spettacoli[2]=s3;
		spettacoli[3]=s4;
		spettacoli[4]=s5;
		spettacoli[5]=s6;
		int numSpettacoli=6;
		
		Multisala m = new Multisala();
		m.setSpettacoli(spettacoli);
		m.setNumSpettacoli(numSpettacoli);
		
		Cliente c1 = new Cliente();
		c1.setNome("Cliente1");
		
		Scanner tastiera = new Scanner(System.in);
		System.out.println("Cerca film: ");
		String film = tastiera.nextLine();
		int totPrenotazioni = m.totalePrenotazioni(film);
		System.out.println("Totale prenotazioni per " + film + ": " + totPrenotazioni+" su "+ Spettacolo.MAX_POSTI);
		Spettacolo s = m.cercaFilm(film);
		System.out.println("Titolo del film: "+s.getFilm());
		System.out.println("Orario del primo spettacolo: "+s.getOrario());
		if (s.getPostiOccupati()==Spettacolo.MAX_POSTI)
			System.out.println("La sala non ha pi posti liberi");
		else{
			System.out.println("Vuoi prenotare? ");
			String risposta = tastiera.next();
			if(risposta.equalsIgnoreCase("si")){
				System.out.println("Quanti posti vuoi prenotare? ");
				int postiDaPrenotare = tastiera.nextInt();
				if(postiDaPrenotare <= s.getPostiDisponibili()){
					System.out.println("La tua et?");
					int eta = tastiera.nextInt();
					c1.setEta(eta);
					double prezzo=s.prenotaPosti(c1,postiDaPrenotare);
					System.out.println("Costo prenotazione (con eventuali riduzioni applicate): "+prezzo);
				}
				else
					System.out.println("La sala non ha abbastanza posti liberi");
			}
			
		}
		tastiera.close();
		
	}
}
