package esercizio2;

public class Spettacolo {

	public static final int MAX_POSTI=200;
	
	private String film;
	private String orario;
	private double costoBiglietto;
	private int postiOccupati;
	
	//costruttore di default
	public Spettacolo(){
		film = "";
		orario = "";
		costoBiglietto = 0;
		postiOccupati = 0;
	}
	
	// costruttore completo
	public Spettacolo(String film, String orario, double costo, int posti) {
		this.film = film;
		this.orario = orario;
		this.costoBiglietto = costo;
		this.postiOccupati = posti;
	}
	
	public String getFilm() {
		return film;
	}
	
	public void setFilm(String film) {
		this.film = film;
	}

	public String getOrario() {
		return orario;
	}
	
	public void setOrario(String orario) {
		this.orario = orario;
	}
	
	public double getCostoBiglietto() {
		return costoBiglietto;
	}
	
	public void setCostoBiglietto(double costoBiglietto) {
		this.costoBiglietto = costoBiglietto;
	}
	
	public int getPostiOccupati() {
		return postiOccupati;
	}
	
	public void setPostiOccupati(int postiOccupati) {
		this.postiOccupati = postiOccupati;
	}
	
	private void riservaPosto(){
		postiOccupati++;
	}
	
	public int getPostiDisponibili(){
		return MAX_POSTI - postiOccupati;
	}
	
	public double prenotaPosti(Cliente c, int n){
		double costo=costoBiglietto;
		if(c.dirittoARiduzione())
			costo-=costo*0.2;
		for(int i=0; i<n; i++) // esempio di riuso di metodo privato di utilit riservaPosto()
			riservaPosto(); 	// in alternativa: postiOccupati -= n;
		return costo*n;
	}
}
