package esercizio2;

public class Multisala {

	public static final int MAX_SPETTACOLI=20;
	
	private Spettacolo[] spettacoli;
	private int numSpettacoli;

	//costruttore di default
	public Multisala(){
		spettacoli = null;
		numSpettacoli = 0;
	}
	
	// costruttore completo
	public Multisala(Spettacolo[] spettacoli, int num) {
		this.spettacoli = spettacoli;
		this.numSpettacoli = num;
	}
	
	public Spettacolo[] getSpettacoli() {
		return spettacoli;
	}
	
	public void setSpettacoli(Spettacolo[] spettacoli) {
		this.spettacoli = spettacoli;
	}
	
	public int getNumSpettacoli() {
		return numSpettacoli;
	}
	
	public void setNumSpettacoli(int numSpettacoli) {
		this.numSpettacoli = numSpettacoli;
	}
		
	public Spettacolo cercaFilm(String film){
		Spettacolo risultato=null;
		boolean trovato=false;
		for(int i=0;i<numSpettacoli && !trovato;i++){
			if(spettacoli[i].getFilm().equalsIgnoreCase(film) ){
				risultato=spettacoli[i];
				trovato=true;
			}
		}
		return risultato;
	}
	
	public int totalePrenotazioni(String film){
		int totale=0;
		for(int i=0;i<numSpettacoli;i++){
			if(spettacoli[i].getFilm().equalsIgnoreCase(film)){
				totale+=spettacoli[i].getPostiOccupati();
			}
		}
		return totale;
	}
	
}
